> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/checkout-api/retailer.md).

# Retailer

## POST /api/v3/Retailer/Confirmation

> Post for an order confirmation Checkout.Domain.Models.Contracts.V3.Retailer.OrderConfirmation.OrderConfirmationRequestDto

```json
{"openapi":"3.0.4","info":{"title":"Checkout.Api Retailer_v3","version":"2.0.10669.0"},"servers":[{"url":"https://checkout-api-gocas.sandbox.eshopworld.com/"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"apiKey","description":"Please insert JWT with Bearer into field","name":"Authorization","in":"header"}},"schemas":{"OrderConfirmationRequestDto":{"required":["charges","checkoutTotal","contactDetails","deliveryCountryIso","eShopWorldOrderNumber","lineItems","paymentDetails","retailerCartId"],"type":"object","properties":{"retailerCartId":{"maxLength":100,"type":"string","description":"(Required) Retailer's reference number for the order or cart identifier.","nullable":true},"eShopWorldOrderNumber":{"maxLength":36,"type":"string","description":"(Required) ESW unique identifier for the order.","nullable":true},"checkoutTotal":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"pricingSynchronizationId":{"type":"string","description":"(Optional) Value of the pricing synchronization identifier to be used in any currency exchange calculations.","nullable":true},"paymentDetails":{"$ref":"#/components/schemas/OrderConfirmationPaymentDetailsRequestDto"},"retailerPromoCodes":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationRetailerPromoCodeRequestDto"},"description":"(Optional) Attributes that describe the Promo or voucher codes entered on the cart by the shopper. If multiple retailerPromoCodes are passed, they will be applied first-to-last.","nullable":true},"lineItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationLineItemRequestDto"},"description":"(Required) Attributes that describe the items in the cart. There can be multiple line items. A minimum of one cart item is required.","nullable":true},"cartDiscountPriceInfo":{"$ref":"#/components/schemas/OrderConfirmationPriceInfoRequestDto"},"deliveryCountryIso":{"maxLength":2,"minLength":2,"type":"string","description":"(Required) ISO 3166 format two-letter country identifier for the delivery country.","nullable":true},"shopperCheckoutExperience":{"$ref":"#/components/schemas/OrderConfirmationShopperCheckoutExperienceRequestDto"},"retailerCheckoutExperience":{"$ref":"#/components/schemas/OrderConfirmationRetailerCheckoutExperienceRequestDto"},"deliveryOption":{"$ref":"#/components/schemas/OrderConfirmationDeliveryOptionRequestDto"},"retailerDeliveryOption":{"$ref":"#/components/schemas/OrderConfirmationRetailerDeliveryOptionRequestDto"},"charges":{"$ref":"#/components/schemas/OrderConfirmationOrderChargesRequestDto"},"zeroValueOrderCharges":{"$ref":"#/components/schemas/OrderConfirmationZeroValueOrderChargesRequestDto"},"contactDetails":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationContactDetailsRequestDto"},"description":"(Optional) Attributes that describe the Shopper’s delivery or payment contact details. If multiple contactDetails are passed, they will be applied first-to-last.","nullable":true},"paymentRecords":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationPaymentDetailsRequestDto"},"description":"(Optional) Attributes that describe the multiple payments done.","nullable":true},"cartType":{"enum":["Standard","ZeroValue"],"type":"string","description":"(Required) The cart type for the order.","nullable":true}},"description":"Order Confirmation Request DTO (Retailer API)"},"OrderConfirmationAmountRequestDto":{"required":["retailer","shopper"],"type":"object","properties":{"retailer":{"$ref":"#/components/schemas/OrderConfirmationMoneyRequestDto"},"shopper":{"$ref":"#/components/schemas/OrderConfirmationMoneyRequestDto"}},"description":"Attribute that describe the checkout total payment amounts in shopper and retailer currency."},"OrderConfirmationMoneyRequestDto":{"required":["amount","currency"],"type":"object","properties":{"currency":{"maxLength":3,"minLength":3,"type":"string","description":"(Required, 3 chars) ISO 4217 currency code.","nullable":true},"amount":{"type":"string","description":"(Required) The amount of the currency.","nullable":true}},"description":"Attribute that describe the money."},"OrderConfirmationPaymentDetailsRequestDto":{"required":["method","time"],"type":"object","properties":{"time":{"type":"string","description":"(Required) Date and time in the UTC format. This is the date and time when the order was pre-authorized.","format":"date-time","nullable":true},"method":{"type":"string","description":"(Required) Payment method selected by the shopper.","nullable":true},"methodCardBrand":{"type":"string","description":"(Optional) The brand of the card used for making the payment, for example, Visa.","nullable":true},"fraudHold":{"type":"boolean","description":"(Optional) Fraud hold status for the payment.","nullable":true},"amountPaid":{"type":"number","description":"(Optional) Amount Paid.","format":"double","nullable":true},"isOverCounter":{"type":"boolean","description":"(Optional) Indicate that the payment will be done later.","nullable":true},"ticketDetails":{"$ref":"#/components/schemas/OrderConfirmationPaymentTicketDetailsRequestDto"}},"description":"Attribute that describe the payment details."},"OrderConfirmationPaymentTicketDetailsRequestDto":{"type":"object","properties":{"number":{"type":"string","description":"(Optional) The reference number.","nullable":true},"imageUrl":{"type":"string","description":"(Optional) The URL for payment voucher.","nullable":true},"expirationDate":{"type":"string","description":"(Optional) The expiration date.","nullable":true},"collectionInstitutionNumber":{"type":"string","description":"(Optional) The collection institution number.","nullable":true}},"description":"Attribute that describe the payment ticket details."},"OrderConfirmationRetailerPromoCodeRequestDto":{"type":"object","properties":{"promoCode":{"maxLength":50,"type":"string","description":"(Optional) Promotion or voucher code.","nullable":true},"title":{"maxLength":100,"type":"string","description":"(Optional) Title of the promotion or voucher code.","nullable":true},"description":{"maxLength":150,"type":"string","description":"(Optional) Description of the promotion or voucher code.","nullable":true}},"description":"Attribute that describe the Promo or voucher codes entered on the cart by the shopper."},"OrderConfirmationLineItemRequestDto":{"required":["charges","estimatedDeliveryDate","product"],"type":"object","properties":{"quantity":{"type":"integer","description":"(Required) Number of items of the productCode.","format":"int32"},"product":{"$ref":"#/components/schemas/OrderConfirmationProductRequestDto"},"estimatedDeliveryDate":{"$ref":"#/components/schemas/OrderConfirmationEstimatedDeliveryDateRequestDto"},"lineItemId":{"type":"integer","description":"(Optional) Item sequence or line item Id.","format":"int32","nullable":true},"charges":{"$ref":"#/components/schemas/OrderConfirmationLineItemChargesRequestDto"},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details. Use of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true},"fulfilmentCountryIso":{"type":"string","description":"(Optional) Fulfilment Country Iso.","nullable":true},"deliveryOption":{"type":"string","description":"(Optional) Delivery option.","nullable":true},"articles":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationArticleRequestDto"},"description":"(Optional) Articles.","nullable":true},"lineItemZeroValueCharges":{"$ref":"#/components/schemas/OrderConfirmationLineItemZeroValueChargesRequestDto"}},"description":"Attribute that describe the items in the cart."},"OrderConfirmationProductRequestDto":{"required":["description","hsCode","productCode","title"],"type":"object","properties":{"productCode":{"maxLength":100,"type":"string","description":"(Required) The Retailer's unique identification code or SKU for the order article.","nullable":true},"hsCode":{"maxLength":12,"type":"string","description":"(Required)Harmonized System (HS) code of the product.","nullable":true},"title":{"maxLength":250,"type":"string","description":"(Required) Localized title of the product. If no title is provided, ESW may use the description from the Product Catalog.","nullable":true},"description":{"type":"string","description":"(Required) Localized description of the product.","nullable":true},"productUnitPriceInfo":{"$ref":"#/components/schemas/OrderConfirmationPriceInfoRequestDto"},"imageUrl":{"type":"string","description":"(Optional) Thumbnail image URL of the product. The image size must be less than or equal to 20 KB and the image must be retina-ready.","nullable":true},"color":{"maxLength":100,"type":"string","description":"(Optional) Color of the item.","nullable":true},"size":{"maxLength":100,"type":"string","description":"(Optional) Size of the item.","nullable":true},"isReturnProhibited":{"type":"boolean","description":"(Optional) Indicates whether the item is returnable or not under the regular return policy. The values are True or False.","nullable":true},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details.  Use of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true},"category":{"type":"string","description":"(Optional) Product category.","nullable":true}},"description":"Attribute that describe the product or cart item."},"OrderConfirmationPriceInfoRequestDto":{"required":["price"],"type":"object","properties":{"price":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"discounts":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationDiscountInfoRequestDto"},"description":"(Optional) Discounts to be applied. If multiple discounts are passed, they are applied first-to-last.","nullable":true}},"description":"Attribute that describe the price."},"OrderConfirmationDiscountInfoRequestDto":{"type":"object","properties":{"title":{"maxLength":100,"type":"string","description":"(Optional, Max 100 chars) Title of the discount.","nullable":true},"description":{"type":"string","description":"(Optional) Description of the discount.","nullable":true},"discount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"beforeDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"percentage":{"type":"string","description":"(Optional) Percentage of the discount to be applied on the Price. The value must be greater than 0 and less than 100. When Percentage is populated, Discount and BeforeDiscount are not required.","nullable":true}},"description":"Attribute that describe cart discounts."},"OrderConfirmationMetadataItemRequestDto":{"required":["name"],"type":"object","properties":{"name":{"maxLength":64,"type":"string","description":"(Required, Max 64 chars) Name of meta data","nullable":true},"value":{"maxLength":1000,"type":"string","description":"(Optional, Max 1000 chars) Value of meta data","nullable":true}},"description":"Key-value pairs used for passing additional details."},"OrderConfirmationEstimatedDeliveryDateRequestDto":{"type":"object","properties":{"fromRetailer":{"type":"string","description":"(Optional) The estimated delivery date from retailer.","format":"date-time","nullable":true},"fromEShopWorld":{"type":"string","description":"(Optional) The estimated delivery date from ESW.","format":"date-time","nullable":true},"fromEShopWorldRangeFrom":{"type":"string","description":"(Optional) The from date given an estimated delivery date range.","format":"date-time","nullable":true},"fromEShopWorldRangeTo":{"type":"string","description":"(Optional) The to date given an estimated delivery date range.","format":"date-time","nullable":true}},"description":"Attribute that describe the estimated delivery date."},"OrderConfirmationLineItemChargesRequestDto":{"required":["subTotal"],"type":"object","properties":{"subTotalBeforeTaxesAndCartDiscountsApplied":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"subTotalAfterCartDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cartDiscountAttribution":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"subTotal":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"uplift":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"delivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryDuty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"taxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"otherTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"administration":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"duty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDelivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDeliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"dutyPromoDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"}},"description":"Attribute that describe the line items charges."},"OrderConfirmationArticleRequestDto":{"type":"object","properties":{"charges":{"$ref":"#/components/schemas/OrderConfirmationArticleChargesRequestDto"}},"description":"Attribute that describe the articles in the line item."},"OrderConfirmationArticleChargesRequestDto":{"type":"object","properties":{"subTotalBeforeTaxesAndCartDiscountsApplied":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"subTotalAfterCartDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cartDiscountAttribution":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"subTotal":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"uplift":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"delivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryDuty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"taxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"otherTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"administration":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"duty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDelivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDeliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"dutyPromoDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"}},"description":"Attribute that describe the article items charges."},"OrderConfirmationLineItemZeroValueChargesRequestDto":{"type":"object","properties":{"subTotal":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"taxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"otherTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"duty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"}},"description":"Attribute that describe the line items charges."},"OrderConfirmationShopperCheckoutExperienceRequestDto":{"required":["shopperCultureLanguageIso"],"type":"object","properties":{"shopperCultureLanguageIso":{"type":"string","description":"(Required) Preferred language and culture experience for the shopper in the ISO 639-1 and ISO 3166 format.","nullable":true},"emailMarketingOptIn":{"type":"boolean","description":"(Optional) Indicates if the shopper wants to subscribe to email marketing. If no value is provided, the default value, as agreed with the retailer, is used.","nullable":true},"registeredProfileId":{"type":"string","description":"(Optional) Profile ID of the shopper, where the shopper is a registered member with the retailer.","nullable":true},"saveAddressForNextPurchase":{"type":"boolean","description":"(Optional) Indicates if the shopper wants to save the delivery address for the next purchase.","nullable":true},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details.\nUse of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true},"packagingOption":{"$ref":"#/components/schemas/OrderConfirmationPackagingOptionDto"},"smsMarketingOptIn":{"type":"boolean","description":"(Optional) Indicates if the shopper wants to subscribe to sms marketing.","nullable":true},"notes":{"type":"string","description":"(Optional) Order notes.","nullable":true},"phoneMarketingOptIn":{"type":"boolean","description":"(Optional) Indicates if the shopper wants to subscribe to phone marketing.","nullable":true},"postMarketingOptIn":{"type":"boolean","description":"(Optional) Indicates if the shopper wants to subscribe to phone marketing.","nullable":true}},"description":"Shopper Checkout Experience"},"OrderConfirmationPackagingOptionDto":{"type":"object","properties":{"packagingType":{"type":"string","description":"(Optional) The packaging type.","nullable":true},"imageUrl":{"type":"string","description":"(Optional) Image URL of the packaging.","nullable":true},"message":{"type":"string","description":"(Optional) Message for the packaging.","nullable":true}},"description":"Packaging option details."},"OrderConfirmationRetailerCheckoutExperienceRequestDto":{"type":"object","properties":{"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details.\nUse of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true}},"description":"Retailer Checkout Experience"},"OrderConfirmationDeliveryOptionRequestDto":{"required":["deliveryOption"],"type":"object","properties":{"deliveryOption":{"maxLength":15,"type":"string","description":"(Required, Max 15 chars) Preferred delivery option for the shopper. These codes are as agreed with ESW.","nullable":true},"isShipToStore":{"type":"boolean","description":"(Optional) Is the delivery option Ship To Store","nullable":true},"isMultiOrigin":{"type":"boolean","description":"(Optional) Is the multi-origin delivery option used for the order.","nullable":true},"isPriceOverrideFromRetailer":{"type":"boolean","description":"(Optional) Is the delivery price an override from retailer.","nullable":true},"deliveryOptionPriceInfo":{"$ref":"#/components/schemas/OrderConfirmationPriceInfoRequestDto"},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details. Use of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true}},"description":"Attribute that describe ESW delivery option defaults and overrides."},"OrderConfirmationRetailerDeliveryOptionRequestDto":{"required":["deliveryOption","deliveryOptionPriceInfo","estimatedDeliveryDateToShopper","title"],"type":"object","properties":{"deliveryOption":{"type":"string","description":"(Required) Selected delivery option for the shopper. These codes are as agreed with ESW.","nullable":true},"title":{"type":"string","description":"(Required) Title of the delivery option.","nullable":true},"estimatedDeliveryDateToShopper":{"$ref":"#/components/schemas/OrderConfirmationRetailerDeliveryOptionEstimatedDeliveryDateRequestDto"},"deliveryOptionPriceInfo":{"$ref":"#/components/schemas/OrderConfirmationPriceInfoRequestDto"},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details. Use of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true}},"description":"Attributes that describe retailer delivery option."},"OrderConfirmationRetailerDeliveryOptionEstimatedDeliveryDateRequestDto":{"required":["dateTo"],"type":"object","properties":{"dateFrom":{"type":"string","description":"(Optional) Earliest estimated delivery date of the cart items to the shopper.","format":"date-time","nullable":true},"dateTo":{"type":"string","description":"(Required) Latest estimated delivery date of the cart items to the shopper.","format":"date-time","nullable":true}},"description":"Attributes that describe the estimated delivery date."},"OrderConfirmationOrderChargesRequestDto":{"required":["total"],"type":"object","properties":{"totalBeforeTaxesAndCartDiscountsApplied":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"totalAfterCartDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"totalCartDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"total":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"delivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryDuty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"deliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"taxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"otherTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"administration":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"duty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"uplift":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDelivery":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"cashOnDeliveryTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"dutyPromoDiscount":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"}},"description":"Attribute that describe the order charges."},"OrderConfirmationZeroValueOrderChargesRequestDto":{"type":"object","properties":{"zeroValueOrderSubTotal":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"zeroValueOrderTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"zeroValueOrderOtherTaxes":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"},"zeroValueOrderDuty":{"$ref":"#/components/schemas/OrderConfirmationAmountRequestDto"}},"description":"Attribute that describe the order charges."},"OrderConfirmationContactDetailsRequestDto":{"required":["contactDetailType","country"],"type":"object","properties":{"contactDetailType":{"enum":["IsDelivery","IsPayment"],"type":"string","description":"(Required) Type of contact information."},"contactDetailsNickName":{"type":"string","description":"(Optional) Nickname or identifier for the contact information.","nullable":true},"addressId":{"type":"string","description":"(Optional) AddressId for the contact information.","nullable":true},"firstName":{"maxLength":70,"type":"string","description":"(Optional) First name of the address.","nullable":true},"lastName":{"maxLength":70,"type":"string","description":"(Optional) Last name of the address.","nullable":true},"gender":{"enum":["None","Male","Female","Unisex"],"type":"string","description":"(Optional) Gender.","nullable":true},"addressType":{"type":"string","description":"(Optional) Address type.","nullable":true},"address1":{"maxLength":150,"type":"string","description":"(Optional) Address line 1 of the address.","nullable":true},"address2":{"maxLength":150,"type":"string","description":"(Optional) Address line 2 of the address.","nullable":true},"address3":{"maxLength":150,"type":"string","description":"(Optional) Address line 3 of the address.","nullable":true},"city":{"maxLength":50,"type":"string","description":"(Optional) City of the address.","nullable":true},"poBox":{"maxLength":50,"type":"string","description":"(Optional) Postal order box of the address.","nullable":true},"postalCode":{"maxLength":50,"type":"string","description":"(Optional) Postal code or zip code of the address.","nullable":true},"region":{"maxLength":150,"type":"string","description":"(Optional) Region, province, state, or county of the address. ISO can be provided, if available.","nullable":true},"country":{"maxLength":2,"minLength":2,"type":"string","description":"(Required) ISO 3166 two-letter country code of the address.","nullable":true},"email":{"maxLength":128,"type":"string","description":"(Optional) Email address.","nullable":true},"telephone":{"maxLength":150,"type":"string","description":"(Optional) Phone number.","nullable":true},"metadataItems":{"type":"array","items":{"$ref":"#/components/schemas/OrderConfirmationMetadataItemRequestDto"},"description":"(Optional) Key-value pairs used for passing additional details. Use of metadataItems must be agreed with ESW. This applies to all metadataItems within this API.","nullable":true},"isSelected":{"type":"boolean","description":"(Optional) Indicate that this is the selected address.","nullable":true},"isDefault":{"type":"boolean","description":"(Optional) Indicate that this is the default address that could be used for the next order.","nullable":true},"saveToProfile":{"type":"boolean","description":"(Optional) Indicate if address needs to be saved to profile.","nullable":true},"status":{"enum":["Unedited","Added","Edited"],"type":"string","description":"(Optional) Indicate the state of contact detail  e.g. Added, Updated","nullable":true},"nativeFirstName":{"type":"string","description":"(Optional) First name of the address using native language, e.g., Katakana.","nullable":true},"nativeLastName":{"type":"string","description":"(Optional) Last name of the address using native language, e.g., Katakana.","nullable":true}},"description":"Attribute that describe the Shopper’s delivery or payment contact details."},"OrderConfirmationResponseDto":{"type":"object","properties":{"orderNumber":{"type":"string","description":"Order number generated by the retailer","nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/Error"},"description":"Any errors resulting in the request sent to the retailer","nullable":true}},"description":"Order Confirmation Response DTO (Retailer API)"},"Error":{"type":"object","properties":{"message":{"type":"string","description":"Error message","nullable":true},"code":{"type":"integer","description":"Error code","format":"int32"}},"description":"Error"}}},"paths":{"/api/v3/Retailer/Confirmation":{"post":{"tags":["Retailer"],"summary":"Post for an order confirmation Checkout.Domain.Models.Contracts.V3.Retailer.OrderConfirmation.OrderConfirmationRequestDto","operationId":"ApiV3RetailerConfirmationPost","requestBody":{"description":"An order confirmation request DTO object Checkout.Domain.Models.Contracts.V3.Retailer.OrderConfirmation.OrderConfirmationRequestDto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationResponseDto"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationResponseDto"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationResponseDto"}}}},"405":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationResponseDto"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/OrderConfirmationResponseDto"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/checkout-api/retailer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
